/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2008. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_ENABLE_BIAS               2       /* callback function: biasCheckBox */
#define  PANEL_INSTR_DESC                3
#define  PANEL_RESET                     4
#define  PANEL_IDQUERY                   5
#define  PANEL_TEXTMSG                   6
#define  PANEL_OUTPUT_Q_OFFSET           7
#define  PANEL_OUTPUT_I_OFFSET           8
#define  PANEL_OUTPUT_BIAS               9
#define  PANEL_OUTPUT_AMPLITUDE          10      /* callback function: outpAmplCheck */
#define  PANEL_AMPLITUDE_MODE            11
#define  PANEL_SEGM_SOURCE               12      /* callback function: segmSrcRing */
#define  PANEL_TRIG_SOURCE               13      /* callback function: trigSrcRing */
#define  PANEL_SEGM_MODE                 14      /* callback function: segmModeRing */
#define  PANEL_TRIG_MODE                 15
#define  PANEL_OUTPUT_TYPE               16      /* callback function: outTypeRing */
#define  PANEL_Exit                      17      /* callback function: exitApp */
#define  PANEL_APPLY                     18      /* callback function: apllySettings */
#define  PANEL_TEXT2                     19
#define  PANEL_TEXT4                     20
#define  PANEL_TEXT3                     21
#define  PANEL_TEXT1                     22
#define  PANEL_DECORATION_6              23
#define  PANEL_DECORATION_5              24
#define  PANEL_DECORATION_4              25
#define  PANEL_DECORATION_2              26
#define  PANEL_DECORATION_3              27
#define  PANEL_OUTPUT_STATE              28
#define  PANEL_ARB_STATE                 29
#define  PANEL_TEXT                      30
#define  PANEL_PATH_BUTTON               31      /* callback function: pathButton */
#define  PANEL_PATH                      32
#define  PANEL_TRG_EXEC                  33      /* callback function: trgExecButton */
#define  PANEL_SEGM_TRG_EXEC             34      /* callback function: segmTrgExecButton */


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK apllySettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK biasCheckBox(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitApp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK outpAmplCheck(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK outTypeRing(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK pathButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK segmModeRing(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK segmSrcRing(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK segmTrgExecButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK trgExecButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK trigSrcRing(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
